def is_zhi(n):
    if n==1:
        return 0
    if n==2:
        return 1
    is_zhi=1

    for i in range(2,n):
        if n%i==0:
            is_zhi=0
    return is_zhi

def gedebahe(n1,n2):
    if is_zhi(n1) and is_zhi(n2):
        print(n1,n2)
        return n1
    gedebahe(n1-1,n2+1)

a=int(input())
gedebahe(a-1,1)